Bug 221387 - HVM bug: MOVS/OUTS/INS crossing pages
HVM bug: MOVS/OUTS/INS crossing pages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 06:26 EST by Herbert Xu
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:18:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Herbert Xu 2007-01-04 06:26:59 EST
When doing movs/outs/ins backwards (df == 1) and the start position crosses a
page boundary, the hypervisor may read/write the wrong location inside the HVM
guest.  This presents a memory protection failure inside the HVM which may be
used for privilege elevation inside the guest.

The upstream changeset that fixes this includes a general clean-up.  So we'll
need to redo the fix minimally for RHEL5.
Comment 1 Stephen Tweedie 2007-03-13 14:19:56 EDT
What _is_ the upstream cset for this?
Comment 2 Herbert Xu 2007-03-20 22:42:53 EDT
changeset:   11800:bd6d4a499e47
user:        kfraser@localhost.localdomain
date:        Wed Oct 18 15:13:41 2006 +0100
summary:     [HVM] MMIO/PIO fixes and cleanups.
Comment 3 Rik van Riel 2007-06-29 19:45:30 EDT
Xen 3.1.0 went into RHEL 5.1 recently.
Comment 6 errata-xmlrpc 2007-11-07 14:18:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html

Note You need to log in before you can comment on or make changes to this bug.